Browser or browser version is incompatible

Symptoms

The following message appears during login:
“Browser or browser version is incompatible”

Cause of problem
You are trying to enter the session with a browser or browser version that is not supported by this session. Invoke Solutions supports the following browsers:

  • Microsoft Internet Explorer 6.0 (SP1 or higher) or later
  • Mozilla Firefox 3.0 or later
  • Apple Safari 4.0 or later
  • Google Chrome 7.0 or later
  • Solution

  • Copy the session URL from the address bar located at the top of your browser window to one of the supported browsers.
  • If you do not have any of the supported browsers or supported browser versions installed please go to their sites and download a supported version.
  • Can’t find answers?
    Contact Support